OGRE-Next: Ogre::UpdateLodRequest Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::UpdateLodRequest Struct Reference
Core | Component » Scene

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::UpdateLodRequest:
[legend]

## Public Member Functions
| UpdateLodRequest ()
| UpdateLodRequest (uint8 _firstRq, uint8 _lastRq, const ObjectMemoryManagerVec *_objectMemManager, const Camera *_camera, const Camera *_lodCamera, Real _lodBias)
Public Member Functions inherited from Ogre::CullFrustumRequest
| CullFrustumRequest ()
| CullFrustumRequest (uint8 _firstRq, uint8 _lastRq, bool _casterPass, bool _addToRenderQueue, bool _cullingLights, const ObjectMemoryManagerVec *_objectMemManager, const Camera *_camera, const Camera *_lodCamera)

## Public Attributes
Real | lodBias
Public Attributes inherited from Ogre::CullFrustumRequest
bool | addToRenderQueue
| Whether we should immediately add to render queue v2 objects.
Camera const * | camera
| Camera whose frustum we're to cull against. Must be const (read only for all threads).
bool | casterPass
| Whether this is a shadow mapping pass.
bool | cullingLights
uint8 | firstRq
| First RenderQueue ID to render (inclusive).
uint8 | lastRq
| Last RenderQueue ID to render (exclusive).
Camera const * | lodCamera
| Camera whose frustum we're to cull against. Must be const (read only for all threads).
ObjectMemoryManagerVec const * | objectMemManager
| Memory manager of the objects to cull.

## Additional Inherited Members
Public Types inherited from Ogre::CullFrustumRequest
typedef vector< ObjectMemoryManager * >::type | ObjectMemoryManagerVec

## Constructor & Destructor Documentation

## ◆ UpdateLodRequest() [1/2]

Ogre::UpdateLodRequest::UpdateLodRequest | ( |  | ) |
| inline

References Ogre::CullFrustumRequest::CullFrustumRequest(), and lodBias.

## ◆ UpdateLodRequest() [2/2]

Ogre::UpdateLodRequest::UpdateLodRequest | ( | uint8 | _firstRq,
|  | uint8 | _lastRq,
|  | const ObjectMemoryManagerVec * | _objectMemManager,
|  | const Camera * | _camera,
|  | const Camera * | _lodCamera,
|  | Real | _lodBias )
| inline

References Ogre::CullFrustumRequest::CullFrustumRequest(), and lodBias.

## Member Data Documentation

## ◆ lodBias

Real Ogre::UpdateLodRequest::lodBias

Referenced by UpdateLodRequest(), and UpdateLodRequest().

The documentation for this struct was generated from the following file:

- OgreSceneManager.h